<?php
/**
 * Šablona kořenového XML elementu pro exporty.
 *
 * Od svého předka se liší především tím, že nevytváří nový element pro samu sebe ale použije
 * předaný rootElement.
 */
class Dalten_Xml_Template_Root extends Dalten_Xml_Template_Element
{
	/**
	 * {@inheritdoc}
	 */
	public function fill(SimpleXMLElement $rootElement, array $data)
	{
		foreach ($this->_attributes as $attribute) {
			/**  @var $attribute Dalten_Xml_Template_Attribute */
			$attribute->fill($rootElement, $data);
		}

		foreach ($this->_children as $child) {
			/** @var $child Dalten_Xml_Template_Element */
			$child->fill($rootElement, $data);
		}
	}
}
